Loading...
Searching...
No Matches
casacore::AllocSpec< T > Struct Template Reference
casa package (libcasa_casa) » Containers_module

Allocator specifier. More...

`#include <Allocator.h>`

## Public Types

typedef T | type

## Static Public Attributes

static AllocSpec< T > const | value

## Detailed Description

template<typename T>
struct casacore::AllocSpec< T >

Allocator specifier.

### Synopsis

This class is just used to avoid ambiguity between overloaded functions.

Definition at line 402 of file Allocator.h.

## Member Typedef Documentation

## type

template<typename T>

typedef T casacore::AllocSpec< T >::type

Definition at line 403 of file Allocator.h.

## Member Data Documentation

## value

template<typename T>

AllocSpec<T> const casacore::AllocSpec< T >::value

static

Definition at line 404 of file Allocator.h.

The documentation for this struct was generated from the following file:

- casa/Containers/Allocator.h